#include <stdio.h>
#include <math.h>
#include <limits.h>


long long povrsinatrougla(long long x1, long long y1, long long x2, long long y2, long long x3, long long y3) {
    return 0.5 * llabs((x1 * y2 + x2 * y3 + x3 * y1) - (y1 * x2 + y2 * x3 + y3 * x1));
}


long long najmanja(long long x[], long long y[], long long n) {
    long long min = LLONG_MAX;  
   
    
    for (long long i = 0; i < n; i++) {
        for (long long j = i + 1; j < n; j++) {
            for (long long k = j + 1; k < n; k++) {
                
                long long povrsina = povrsinatrougla(x[i], y[i], x[j], y[j], x[k], y[k]);
               
                
                if (povrsina < min) {
                    min = povrsina;
                }
            }
        }
    }

    return min;  
}

int main() {
    long long N;
    scanf("%lld", &N); 
    
    long long x[N], y[N];

    
    for (long long i = 0; i < N; i++) {
        
        
        scanf("%lld %lld", &x[i], &y[i]);
    }

    
    long long min = najmanja(x, y, N);

   
    printf(" %lld\n", min);

    
}